LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

ENTITY clock_gen IS
	PORT(clk : OUT std_logic);
END clock_gen;

ARCHITECTURE behavior OF clock_gen IS

   constant clk_period : time := 1 ns;

BEGIN

   clk_process : process
   begin
        clk <= '0';
        wait for clk_period/2;  --for 0.5 ns signal is '0'.
        clk <= '1';
        wait for clk_period/2;  --for next 0.5 ns signal is '1'.
   end process;

END;
